<?php

namespace Teknisa\EST\Modules\Produto\Services;

class ArvoreProduto {
    
    function __construct() {
        
	}

	public function save(DTO\Request $request, DTO\Response $response){
            $row = $request->getRow();

            if($row['__is_new']){
                $condition = array(
                    array(
                        "columnName" => "CDPRODUTO",
                        "operator" => "=",
                        "value" => $row["CDPRODUTO"]
                    ),
                    array(
                        "columnName" => "NRTPARVPROD",
                        "operator" => "=",
                        "value" => $row["NRTPARVPROD"]
                    )
                );

            $filterCriteria = new FilterCriteria($this->dataSourceName, $condition);
            $dataSet = $this->dataSourceManager->findBy($filterCriteria);
            $registrosEncontrados = $dataSet->getRows();

            if(empty($registrosEncontrados)){
                parent::save($request, $response);
            } else {
                $response->setError(new DTO\Response\Error($this->messages->getMessage('APP-00002'), 1));
            }
        } else {
            parent::save($request, $response);
        }
    }