var Est96000_DivergenciasInventarioCego_Services = function(General, EstUtil, Est96000_DivergenciasInventarioCego_Repository) {
    // Gets logged unit
    this.getFilialLogada = function() {
        const filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": "FILIAL_LOGADA"
            }
	    ];
        return General.callRestEngine('est#/crud/filial', 'FilterData', filter);
    };

    // Gets data about unit params and set it in filter currentRow
    this.getParamFilialData = function() {
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": EstUtil.getFieldValue('CDFILIAL', 'inventoryGrid', true) || "FILIAL_LOGADA"
            }
	    ];

        return General.callRestEngine('est_ajuste#/crud/paramfilial', 'FilterData', filter);
    };
    
    // Manages actions functionalities data to sending to factory
    this.actionsManagementHandler = function(InventoryRow, rows, hasItems, action) {
        if(action == 'refuse'){
            if(InventoryRow.DSOBSRECAJUST == '') return;
        }
        return Est96000_DivergenciasInventarioCego_Repository.actionsManagementHandler(InventoryRow,rows, hasItems, action);
    };
    
    this.getGroupOperatorInfo = function() {
        const filter = [
            {
                "name": "CDOPERADOR",
                "operator": "=",
                "value": "OPERADOR_LOGADO"
            }
	    ];
        return General.callRestEngine('est_estoqueCego#/crud/autgrupop_grupoper_opergrupop', 'FilterData', filter);
    };
    
    // get date from a string 
    this.getDate = function(dateString) {
        let string = dateString.replaceAll('/', '').replaceAll(' ', '').replaceAll(':', '');
        return new Date(moment(string, "DDMMYYYYHHmmss").format('MM/DD/YYYY HH:mm:ss'));
    };
    
};

Configuration(function(ContextRegister) {
    ContextRegister.register('Est96000_DivergenciasInventarioCego_Services', Est96000_DivergenciasInventarioCego_Services);
});
